Mailinglist Archive: yast-devel (41 mails)

< Previous Next >
[yast-devel] Re: yast web service lighttpd startup errors
  • From: "Dominique Leuenberger" <Dominique.Leuenberger@xxxxxxxxxxxxx>
  • Date: Thu, 05 Feb 2009 09:30:30 +0100
  • Message-id: <498AB1B60200002900010085@xxxxxxxxxxxxxxxxxxx>
On 2/5/2009 at 7:55 AM, Stefan Schubert <schubi@xxxxxxx> wrote:

Is because I had ipv6 disabled, but yastws config had it enabled,
changing yastws's lighttpd.conf:
server.use-ipv6 = "disable"

May be this setting should be dynamic?
I am not sure cause on SLES products we HAVE to support ipv6
"out of the box" ( As far I know). That's why I have set.

I remember having run almost in the same issue:
- Installed openSUSE 11.1
- Installed lighttpd (works)
- Start correclty fiddling with my config, disabling ipv6 in yast (no need for
my home network and also the provider does not yet know what it is :)
)

-> lighttpd does not know about this change and simply fails to start.. until I
found the server.use-ipv6... (ok, did not take that long.. but having
it coupled at least to the availability of IPV6 could be nice.).

maybe something like
server.use-ipv6 = {disabled|optional|enabled}
could be an interesting enhancement for lighttpd and then the default should be
set to optional, following the systems capabilities.

Dominique
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
List Navigation